# Interface EntityBaseProperties

Properties that can be passed into the constructor for EntityBase.

interface EntityBaseProperties {
failureMode?: FailureMode;
id?: string;
}

#### Hierarchy (view full)

- EntityProperties
- InitializableBaseProperties
  - EntityBaseProperties
    - FeatureProperties
    - FeatureSourceBaseProperties
    - FieldExtensionProperties
    - PopupContentExtensionProperties
    - RelationshipProperties
    - LayerPresetProperties
    - BasemapExtensionProperties
    - GroundExtensionProperties
    - MapExtensionProperties
    - MenuProperties
    - MenuItemProperties

#####
Index

### Properties

failureMode?
id?

##
Properties

### `Optional` failureMode

failureMode?: FailureMode

See support/InitializableBase!InitializableBase.failureMode.

Inherited from InitializableBaseProperties.failureMode

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityProperties.id